#!/bin/bash

CONFIG="Linux"

NB_GAMES=1

while getopts  "c:k:" flag; do
    case "$flag" in
        c) CONFIG=$OPTARG;;
        k) NB_GAMES=$OPTARG;;
    esac
done

case $CONFIG in
'Linux')
VERSION="Release"
SERVER="rcssserver"
;;
'Windows')
VERSION="build/Release"
SERVER="../rcssserver-15.0.0-win/rcssserver.exe"
;;
*)
echo "Unknown config '$CONFIG'"
exit 1
;;
esac

SERVER_OPTIONS="--server::auto_mode=on --server::game_log_compression=1"
SERVER_OPTIONS="${SERVER_OPTIONS} --server::text_log_compression=1"

#Other team cmd
CMD_HERMES="../teamBinaries/startTeam.sh ../teamBinaries/HERMES"
CMD_WRIGHTEAGLE="../teamBinaries/startTeam.sh ../teamBinaries/WrightEagle"
CMD_AGENT2D="../teamBinaries/agent2d-3.1.1/src/start.sh"


TEAM1="Rhoban"
TEAM2="RhobanAM"

ARGS1="-t $TEAM1 -v Release -c Rhoban.conf"
ARGS2="-t $TEAM2 -v Release -c RhobanAM.conf"

CMD1="./start.sh $ARGS1"
CMD2="./start.sh $ARGS2"

#Activating HERMES as first player
#CMD1="$CMD_HERMES"
#TEAM1="Hermes"
#Activating AGENT2D as first player
#CMD1="$CMD_AGENT2D"
#TEAM1="Agent2D"
#Activating WrightEagle as first player
#CMD1="$CMD_WRIGHTEAGLE"
#TEAM1="WrightEagle"

DST_FILE="testsResults"

rm -f $DST_FILE

echo "$TEAM1,$TEAM2" > $DST_FILE

for (( i=1; i <= $NB_GAMES; i++ ))
do
    echo "Running game ${i}/$NB_GAMES"
    # Starting Server
    $SERVER --server::auto_mode=on | grep "Score" | sed -e "s/ - /,/" | sed -e "s/\tScore: //" >> $DST_FILE &

    sleep 1

    # Starting teams
    $CMD1 >team1Log &
    sleep 4
    $CMD2 >team2Log &
	
	echo "Game over, killing server "
    # Waiting for the game to end (~15 minutes -> 15 * 60)
    sleep 900
	case $CONFIG in
	'Linux')
    killall rcssserver
	;;
	'Windows')
	taskkill //F //im rcssserver.exe
	;;
	esac
    sleep 5
done

